package +zoccolo+.web.controller;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;

public class GenericComponent {

	protected final Log logger = LogFactory.getLog(this.getClass());
	
	@Autowired
	public ApplicationContext context;
	
	public String getMessage(String key, Object ...variables) {
		return context.getMessage(key, variables, null);
	}
	
}